libidn 1.43

Data Fields
Tld_table Struct Reference

`#include <tld.h>`

## Data Fields
const char * | name
const char * | version
size_t | nvalid
const Tld_table_element * | valid

## Detailed Description

Tld_table:

Parameters

  name | TLD name, e.g., "no".
  version | Version string from TLD file.
  nvalid | Number of entries in data.
  valid | Sorted array (of size @nvalid) of valid code points.

List valid code points in a TLD.

Definition at line 94 of file tld.h.

## Field Documentation

## ◆ name

const char* Tld_table::name

Definition at line 96 of file tld.h.

## ◆ nvalid

size_t Tld_table::nvalid

Definition at line 98 of file tld.h.

## ◆ valid

const Tld_table_element* Tld_table::valid

Definition at line 99 of file tld.h.

## ◆ version

const char* Tld_table::version

Definition at line 97 of file tld.h.

The documentation for this struct was generated from the following file:

- tld.h